Loading...
Searching...
No Matches
svn_dso.h File Reference

DSO loading routines. More...

`#include <apr_dso.h>`
`#include "svn_types.h"`

Go to the source code of this file.

## Functions

svn_error_t * | svn_dso_initialize2 (void)
| Initialize the DSO loading routines.
void | svn_dso_initialize (void)
| The same as svn_dso_initialize2(), except that if there is an error this calls abort() instead of returning the error.

## Detailed Description

DSO loading routines.

# autotoc_md46

Definition in file svn_dso.h.

## Function Documentation

## svn_dso_initialize()

void svn_dso_initialize | ( | void |  | ) |

The same as svn_dso_initialize2(), except that if there is an error this calls abort() instead of returning the error.

Deprecated
  Provided for backwards compatibility with the 1.5 API.

Since
  New in 1.4.

## svn_dso_initialize2()

svn_error_t * svn_dso_initialize2 | ( | void |  | ) |

Initialize the DSO loading routines.

Note
  This should be called prior to the creation of any pool that is passed to a function that comes from a DSO, otherwise you risk having the DSO unloaded before all pool cleanup callbacks that live in the DSO have been executed. If it is not called prior to `svn_dso_load` being used for the first time there will be a best effort attempt made to initialize the subsystem, but it will not be entirely thread safe and it risks running into the previously mentioned problems with DSO unloading and pool cleanup callbacks.

Returns svn_error_t object with corresponding apr_err returned by underlying calls. In case of no error returns `SVN_NO_ERROR`.

Since
  New in 1.6.

References SVN_DEPRECATED.